[arch-commits] Commit in liblrdf/trunk (PKGBUILD md5.patch)

Jan de Groot jgc at archlinux.org
Sun May 10 20:00:09 EDT 2009


    Date: Sunday, May 10, 2009 @ 20:00:09
  Author: jgc
Revision: 38934

upgpkg: liblrdf 0.4.0-6
    Fix FS#14672

Added:
  liblrdf/trunk/md5.patch
Modified:
  liblrdf/trunk/PKGBUILD

-----------+
 PKGBUILD  |   16 +++++++++-------
 md5.patch |   18 ++++++++++++++++++
 2 files changed, 27 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 22:25:45 UTC (rev 38933)
+++ PKGBUILD	2009-05-11 00:00:09 UTC (rev 38934)
@@ -3,7 +3,7 @@
 
 pkgname=liblrdf
 pkgver=0.4.0
-pkgrel=5
+pkgrel=6
 pkgdesc="liblrdf allows categorizing LADSPA plugins"
 arch=(i686 x86_64)
 url="http://sourceforge.net/projects/lrdf"
@@ -11,14 +11,16 @@
 makedepends=('pkgconfig')
 license=('GPL')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/lrdf/liblrdf-${pkgver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/lrdf/liblrdf-${pkgver}.tar.gz
+	md5.patch)
 groups=('ladspa-plugins')
-md5sums=('327a5674f671c4b360c6353800226877')
+md5sums=('327a5674f671c4b360c6353800226877'
+         'a6d231d052dc188cbc4c1039cf3a2003')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/md5.patch" || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-

Added: md5.patch
===================================================================
--- md5.patch	                        (rev 0)
+++ md5.patch	2009-05-11 00:00:09 UTC (rev 38934)
@@ -0,0 +1,18 @@
+--- liblrdf-0.4.0.orig/src/lrdf_md5.h
++++ liblrdf-0.4.0/src/lrdf_md5.h
+@@ -32,6 +32,15 @@
+ #ifndef __MD5_H__
+ #define __MD5_H__
+
++/* Change function names to prevent symbol conflicts */
++#define md5_init _lrdf_md5_init
++#define md5_buffer _lrdf_md5_buffer
++#define md5_sig_from_string _lrdf_md5_sig_from_string
++#define md5_finish _lrdf_md5_finish
++#define md5_process _lrdf_md5_process
++#define md5_sig_to_string _lrdf_md5_sig_to_string
++#define md5_get_result _lrdf_md5_get_result
++
+ /*
+  * Size of a standard MD5 signature in bytes.  This definition is for
+  * external programs only.  The MD5 routines themselves reference the



More information about the arch-commits mailing list